"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.add = void 0;
const express_1 = require("express");
const ad_record_1 = require("../records/ad-record");
const config_1 = require("../config/config");
exports.add = (0, express_1.Router)();
exports.add
    .get('/', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const all = yield ad_record_1.AdRecord.getAll();
    res.json(all);
}))
    .post('/', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const { name, description, price, lat, lon, link, visitors } = req.body;
    const data = {
        name,
        description,
        price,
        lat,
        lon,
        link,
        visitors
    };
    const newAdRecord = yield new ad_record_1.AdRecord(data);
    const { id } = yield newAdRecord.add();
    res.json({ 'adID': id });
}))
    .get('/admin/accepted/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const { id } = req.params;
    yield ad_record_1.AdRecord.acceptAd(id);
    res.status(200).redirect(`${config_1.config.cors}`);
}))
    .get('/search/:text?', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const { text } = req.params;
    const filter = yield ad_record_1.AdRecord.findInterestedAd(text !== null && text !== void 0 ? text : '');
    res.status(200).json(filter);
}))
    .get('/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const { id } = req.params;
    const oneAd = yield ad_record_1.AdRecord.getOneAd(id);
    res.status(200).json(oneAd);
}));
//# sourceMappingURL=ad.js.map